# Class Transform

Namespace
  Awperative

Assembly
  Awperative.dll

    public sealed class Transform

Inheritance
  object
  Transform

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### Transform()

    public Transform()

### Transform(Vector2, Vector2, float, float, Vector2)

    public Transform(Vector2 __origin, Vector2 __position, float __depth, float __rotation, Vector2 __scale)

#### Parameters

`__origin` Vector2
`__position` Vector2
`__depth` float
`__rotation` float
`__scale` Vector2

## Properties

### Depth

    public float Depth { get; set; }

#### Property Value

float

### Origin

    public Vector2 Origin { get; set; }

#### Property Value

Vector2

### Position

    public Vector2 Position { get; set; }

#### Property Value

Vector2

### Rotation

    public float Rotation { get; set; }

#### Property Value

float

### Scale

    public Vector2 Scale { get; set; }

#### Property Value

Vector2

## Methods

### Clone()

    public Transform Clone()

#### Returns

Transform

### Set(Vector2, Vector2, float, float, Vector2)

    public void Set(Vector2 __origin, Vector2 __position, float __depth, float __rotation, Vector2 __scale)

#### Parameters

`__origin` Vector2
`__position` Vector2
`__depth` float
`__rotation` float
`__scale` Vector2

### ToMatrix()

    public Matrix ToMatrix()

#### Returns

Matrix

## Events

### OnTransformChangedEvent

    public event EventHandler<TransformModifyEvent> OnTransformChangedEvent

#### Event Type

EventHandler<TransformModifyEvent>